Bug 803812 - FTBFS: ghc-gio fails to build on PPC64: `IO' is applied to too many type arguments
FTBFS: ghc-gio fails to build on PPC64: `IO' is applied to too many type argu...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc-gio (Show other bugs)
21
ppc64 Linux
high Severity high
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
: 1040391 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 13:05 EDT by Karsten Hopp
Modified: 2015-07-27 04:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-gio-0.12.5.0-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-27 04:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-03-15 13:05:04 EDT
Description of problem:
[14 of 24] Compiling System.GIO.File.FileInfo ( dist/build/System/GIO/File/FileInfo.hs, dist/build/System/GIO/File/FileInfo.o )
System/GIO/File/FileInfo.chs:269:5:
    `IO' is applied to too many type arguments
    In the type signature for `fileInfoGetAttributeBool':
      fileInfoGetAttributeBool :: FileInfoClass info =>
                                  info -> String -> IO Bool bool
System/GIO/File/FileInfo.chs:278:5:
    `IO' is applied to too many type arguments
    In the type signature for `fileInfoGetAttributeWord32':
      fileInfoGetAttributeWord32 :: FileInfoClass info =>
                                    info -> String -> IO Word32 bool
System/GIO/File/FileInfo.chs:287:5:
    `IO' is applied to too many type arguments
    In the type signature for `fileInfoGetAttributeInt32':
      fileInfoGetAttributeInt32 :: FileInfoClass info =>
                                   info -> String -> IO Int32 bool
System/GIO/File/FileInfo.chs:296:5:
    `IO' is applied to too many type arguments
    In the type signature for `fileInfoGetAttributeWord64':
      fileInfoGetAttributeWord64 :: FileInfoClass info =>
                                    info -> String -> IO Word64 bool
System/GIO/File/FileInfo.chs:305:5:
    `IO' is applied to too many type arguments
    In the type signature for `fileInfoGetAttributeInt64':
      fileInfoGetAttributeInt64 :: FileInfoClass info =>
                                   info -> String -> IO Int64 bool
error: Bad exit status from /var/tmp/rpm-tmp.sEL96Y (%build)

Version-Release number of selected component (if applicable):
ghc-gio-0.12.2-1.fc17

How reproducible:
always

Steps to Reproduce:
1.ppc-koji build --scratch f17 ghc-gio-0.12.2-1.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=439435

Expected results:


Additional info:
Comment 1 Jens Petersen 2012-03-16 05:46:47 EDT
Hmm mysterious error.  Maybe some endian bug or something, dunno.

It builds fine on ARM anyway:
http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=10760

but still waiting for s390 f17 builds.

If you want I can disable ppc64 for now on f17.

There is a new release now from upstream so this might improve for f18 anyway.
Comment 2 Jens Petersen 2012-12-03 23:22:00 EST
Looking again at the build error it seems like gtk2hs-buildtools (c2hs)
is generating broken type signatures for those functions
(Bool does not take a type variable).

Still no idea why, but it might be a gtk2hs-buildtools bug I suspect.
Comment 3 Fedora End Of Life 2013-12-21 10:01:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jens Petersen 2014-04-18 05:41:41 EDT
*** Bug 1040391 has been marked as a duplicate of this bug. ***
Comment 5 Karsten Hopp 2014-10-02 06:04:52 EDT
still happens with ghc-gio-0.12.5.0-2.fc21

Note You need to log in before you can comment on or make changes to this bug.